

const {ccclass, property} = cc._decorator;

@ccclass
export default class AdMob extends cc.Component {

    @property (cc.Label)
    infoLabel: cc.Label = null;

    @property(cc.Button)
    btnCache: cc.Button = null;

    @property(cc.Button)
    btnShow: cc.Button = null;

    onLoad() {
        this.btnCache.node.on(cc.Node.EventType.TOUCH_START,this.cacheInterstitial);
        this.btnShow.node.on(cc.Node.EventType.TOUCH_START,this.showInterstitial);
        this.admobInit();
    }



    admobInit() {
        if(cc.sys.isMobile) {
            var self = this;
            sdkbox.PluginAdMob.setListener({
                adViewDidReceiveAd: function(name) {
                    self.showInfo('adViewDidReceiveAd name=' + name);
                },
                adViewDidFailToReceiveAdWithError: function(name, msg) {
                    self.showInfo('adViewDidFailToReceiveAdWithError name=' + name + ' msg=' + msg);
                },
                adViewWillPresentScreen: function(name) {
                    self.showInfo('adViewWillPresentScreen name=' + name);
                },
                adViewDidDismissScreen: function(name) {
                    self.showInfo('adViewDidDismissScreen name=' + name);
                },
                adViewWillDismissScreen: function(name) {
                    self.showInfo('adViewWillDismissScreen=' + name);
                },
                adViewWillLeaveApplication: function(name) {
                    self.showInfo('adViewWillLeaveApplication=' + name);
                }
            });
            sdkbox.PluginAdMob.init();
        }
    }

    showInfo(text){
        this.infoLabel.string = text;
    }

    cacheInterstitial() {
        if(cc.sys.isMobile) {
            sdkbox.PluginAdMob.cache('gameover');
        }
    }

    showInterstitial() {
        if(cc.sys.isMobile) {
            sdkbox.PluginAdMob.show('gameover');
        }
    }
}
